Bug 427996 - Review Request: xqilla - XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
Review Request: xqilla - XQilla is an XQuery and XPath 2.0 library, built on ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 10:58 EST by Milan Zazrivec
Modified: 2009-01-04 15:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 09:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-01-08 10:58:35 EST
Spec URL: http://www.fi.muni.cz/~xzazriv/xqilla/xqilla.spec
SRPM URL: http://www.fi.muni.cz/~xzazriv/xqilla/xqilla-2.0.0-0.fc8.src.rpm
Description:
XQilla is an XQuery and XPath 2.0 implementation written in C++ and based
on Xerces-C. It implements the DOM 3 XPath API, as well as having it's own
more powerful API. It conforms to the W3C proposed recomendation of XQuery
and XPath 2.0.
Comment 2 Mamoru TASAKA 2008-01-09 12:28:09 EST
Before checking this package, would you confirm the license of
the following file(s) to upstream developer?
I guess the upstream forgot to change the license.

-------------------------------------------------------------------
src/mapm/mapm_mt.cpp
-------------------------------------------------------------------
Comment 3 Mamoru TASAKA 2008-01-09 12:31:04 EST
(In reply to comment #2)
> would you confirm the license of
> the following file(s) to upstream developer?

Umm.. I used a strange English... Anyway please ask the
license of the files above to upstream.
Comment 4 Mamoru TASAKA 2008-01-09 12:39:47 EST
For 2.0.0-0:

* Source
  - XQilla 2.0.0 source coincides, however for xerces_c source file,
    the tarball in your srpm is different from what I downloaded from
    the URL written as Source0:
----------------------------------------------------------
7760004 2005-09-08 23:14 xerces-c-src_2_7_0.tar.gz
8031146 2007-11-11 06:03 xqilla-2.0.0-0.fc9/xerces-c-src_2_7_0.tar.gz
----------------------------------------------------------

* Parallel make
  - If this is parallel make unsafe, please write a comment on
    the spec file.

Other things are okay, except for license issue.
Comment 5 Milan Zazrivec 2008-01-10 07:56:59 EST
The problem with src/mapm/mapm_mt.cpp is a little more complicated. It is
a wrapper around MAPM library originally written by Martin Pfingstl. XQilla
uses MAPM library version 4.6.1, which did not include mapm_mt.cpp (it was 
distributed separately). At some point mapm_mt.cpp got included into MAPM
library and now the new MAPM license applies to mapm_mt.cpp too.

I have a written permission of the MAPM library author to distribute mapm
version 4.6.1 under a new license, but I don't think it applies to mapm_mt.cpp
(the one that is part of xqilla sources).

I removed src/mapm/mapm_mt.cpp from the original xqilla source tarball and
included mapm_mt.c (modified) from last upstream version of mapm into
the source rpm.

I can try to iron this problem out with the xqilla upstream, but hopefully
my solution could work in the meantime.

Source rpm + spec file:
* http://www.fi.muni.cz/~xzazriv/xqilla/xqilla-2.0.0-1.fc8.src.rpm
* http://www.fi.muni.cz/~xzazriv/xqilla/xqilla.spec

Scratch builds:
* http://koji.fedoraproject.org/koji/taskinfo?taskID=339227
* http://koji.fedoraproject.org/koji/taskinfo?taskID=339228
* http://koji.fedoraproject.org/koji/taskinfo?taskID=339229
Comment 6 Mamoru TASAKA 2008-01-10 10:14:29 EST
Please replace 
----------------------------------------------------
make -j
----------------------------------------------------
with
----------------------------------------------------
make %{?_smp_mflags}
----------------------------------------------------
(per packaging guidelines). Other things are okay.


----------------------------------------------------
    This package (xqilla) is APPROVED by me
----------------------------------------------------
Comment 7 Milan Zazrivec 2008-01-10 10:23:42 EST
New Package CVS Request
=======================
Package Name: xqilla
Short Description: XQilla is an XQuery and XPath 2.0 library, built on top of
Xerces-C
Owners: mzazrive
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-01-10 11:47:28 EST
cvs done.
Comment 9 Mamoru TASAKA 2008-01-11 09:55:23 EST
Closing.
Comment 10 Milan Zazrivec 2008-12-31 13:19:49 EST
Package Change Request
======================
Package Name: xqilla
New Branches: EL-5
Owners: mzazrive
Comment 11 Kevin Fenzi 2009-01-04 15:48:32 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.